# Lufi - Ansible Role

This role deploys, configures and updates [Lufi](https://lufi.io) - end to end encrypted file upload service. The role is released under MIT Licence and we give no warranty for this piece of software.  Currently supported OS - Debian.

 You can deploy test instance using `Vagrantfile` attached to the role.

`vagrant up`
`ansible-playbook -b Playbooks/lufi.yml`

Then you can access Lufi from your computer on http://192.168.33.4

In case you need to flush the `local` folder, use the tag `flushlocal` so `ansible-playbook -b Playbooks/lufi.yml --tags flushlocal`

## Playbook
The playbook includes crontab role to deploy cleanup scripts for Lufi, which is also available in Ansible roles repos. It also includes Nginx.

## CHANGELOG
- **02.02.2021** - Add possibily to choose which release version to install
- **22.11.2020** - Make it ready for public release
    - Clean vars
    - improve readme file
